package com.zsc.edu.gateway.modules.iot.product.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.product.dto.ProductDto;
import com.zsc.edu.gateway.modules.iot.product.entity.Product;
import com.zsc.edu.gateway.modules.iot.product.query.ProductQuery;
import com.zsc.edu.gateway.modules.iot.product.vo.ProductStatusVo;

import java.util.List;

/**
 * @author zhuang
 */
public interface ProductService extends IService<Product> {
    Product create(ProductDto dto);

    Product update(ProductDto dto, Long id);

    Product detail(Long id);

    boolean delete(Long id);

    List<Product> list(ProductQuery query);

    ProductStatusVo status();
}
